OneDrive Monitoring
API endpoints to manage and view information for OneDrive monitoring
/api/storage-monitor/onedrive/v1/users
/api/storage-monitor/onedrive/v1/users/{userId}/monitors
Create a new OneDrive storage monitor
Creates a new OneDrive storage monitor
path Parameters
userIdIdentifier for the user
/api/storage-monitor/onedrive/v1/users/{userId}/monitors › Request Body optional
policyNameThe name of the content management policy to apply when rebuilding files from the monitored drive. By default, the "default" content management policy is used.
/api/storage-monitor/onedrive/v1/users/{userId}/monitors › Responses
OneDrive monitor created
idUnique Identifier for the created monitor
/api/storage-monitor/onedrive/v1/users/{userId}/monitors
Update an existing OneDrive storage monitor
Updates an existing OneDrive storage monitor
path Parameters
userIdIdentifier for the user
/api/storage-monitor/onedrive/v1/users/{userId}/monitors › Request Body
policyNameThe name of the content management policy to apply when rebuilding files from the monitored drive.
/api/storage-monitor/onedrive/v1/users/{userId}/monitors › Responses
OneDrive monitor updated
idUnique Identifier for the created monitor
/api/storage-monitor/onedrive/v1/monitors
List active OneDrive storage monitors
Lists the active OneDrive storage monitors
query Parameters
pageSizeAmount of OneDrive monitors to return
pageIndexPage number to start returning data from
/api/storage-monitor/onedrive/v1/monitors › Responses
A list of all active OneDrive storage monitors
/api/storage-monitor/onedrive/v1/monitors
Create OneDrive storage monitors
Create the selected OneDrive storage monitors with the specified policy
/api/storage-monitor/onedrive/v1/monitors › Request Body
idsselectAllWhether to select all users or not. If true the ids argument can be used as an exclusion list, if false the ids argument will be an inclusion list.
policyNamePolicy to apply for the created monitors
/api/storage-monitor/onedrive/v1/monitors › Responses
A list of any issues which occured during creation
/api/storage-monitor/onedrive/v1/monitors
Delete OneDrive storage monitors
Deletes the selected OneDrive storage monitors
/api/storage-monitor/onedrive/v1/monitors › Request Body
idsselectAllWhether to select all active storage monitors or not. If true the ids argument can be used as an exclusion list, if false the ids argument will be an inclusion list.
/api/storage-monitor/onedrive/v1/monitors › Responses
A list of any issues which occured during deletion
/api/storage-monitor/onedrive/v1/monitors
Edit OneDrive storage monitors
Edits the selected OneDrive storage monitors with the specified changes
/api/storage-monitor/onedrive/v1/monitors › Request Body
idsselectAllWhether to select all active storage monitors or not. If true the ids argument can be used as an exclusion list, if false the ids argument will be an inclusion list.
/api/storage-monitor/onedrive/v1/monitors › Responses
A list of any issues which occured during editing
/api/storage-monitor/onedrive/v1/status
Get the status of the OneDrive Storage Monitoring service
Gets the status of the OneDrive Storage Monitoring service
/api/storage-monitor/onedrive/v1/status › Responses
The current status of the OneDrive Storage Monitoring service
isHealthySpecifies whether the Storage Monitor is healthy
Health check results including service checks such as Webhook, Permissions, ProviderApi and License.